Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
PUTElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required

ChangeBareMetal2ProvisionNetworkState

ChangeBareMetal2ProvisionNetworkState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The deployment network UUID.

Body Fields

  • changebaremetal2provisionnetworkstateObjectRequired

    changebaremetal2provisionnetworkstate request body object.

    • stateEventStringRequired

      The event that changes the state of the chassis.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBareMetal2ProvisionNetworkInventoryRequired

    See inventory.

    • uuidStringRequired

      The deployment network UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The name of the deployment network.

    • descriptionStringRequired

      The detailed description of the deployment network.

    • dhcpInterfaceStringRequired

      The name of the DHCP NIC.

    • dhcpRangeStartIpStringRequired

      The starting IP address that DHCP assigns to a bare metal instance.

    • dhcpRangeEndIpStringRequired

      The ending IP address that DHCP assigns to a bare metal instance.

    • dhcpRangeNetmaskStringRequired

      The netmask of the IP range from which the DHCP server assigns an IP address to a bare metal instance.

    • dhcpRangeGatewayStringRequired

      The gateway IP address.

    • dhcpRangeNetworkCidrStringRequired

      The CIDR block.

    • stateStringRequired

      The state of the deployment network.

    • createDateTimestampRequired

      The time when the deployment network was created.

    • lastOpDateTimestampRequired

      The time when the deployment network was last modified.

    • attachedClusterUuidsListRequired

      附加集群UUID。

Endpoint

PUT/zstack/v1/baremetal2/provision-networks/{uuid}/actions

/zstack/v1/baremetal2/provision-networks/{uuid}/actions

Operation ID

ChangeBareMetal2ProvisionNetworkState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/baremetal2/provision-networks/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changebaremetal2provisionnetworkstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "0f0a5bd7eaef49d2a4ddff9507afa4e8", "zoneUuid": "1d5a403dcfdb4b6fa581540579e5d5cb", "name": "BM_PROVISION_NETWORK", "description": "This is a bare metal provision network.", "dhcpInterface": "eth0", "dhcpRangeStartIp": "192.168.0.10", "dhcpRangeEndIp": "192.168.0.100", "dhcpRangeNetmask": "255.255.255.0", "dhcpRangeGateway": "192.168.0.1", "dhcpRangeNetworkCidr": "192.168.0.10/24", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history